Subject: Re: [PATCH] rebase [--onto O] A B: omit needless checkout

From: Junio C Hamano <[email-masked]>
Date: Thu, 20 Mar 2008 00:53:01 -0700

Johannes Sixt <[email-masked]> writes:

> But given how intrusive the patch is ("just to remove an unnecessary
> checkout"), I'd say this is post-1.5.5 material. Also, the fact that you
> had to post a fix-up is an indication that there are probably a number of
> corner cases that need an extended testing period.

The fixup came from a real-world corner case.  I actually do fairly
esoteric varieties of rebases all the time, starting with my HEAD
detached, rebasing --onto a non-branch, explicitly stating where the
bottom is, etc, etc.

Although I am comfortable enough with the patch itself to queue it in
'next' for my daily use, I do not intend it for 1.5.5 at all.  The merge
window is a discipline, a line must be drawn somewhere, and when the line
is drawn, it must be honoured.